it-swarm.com.de

Importieren Sie benutzerdefinierte Stylesheets für IE8 oder niedriger

Ich verwende eine reaktionsschnelle Vorlage, die auf den meisten Browsern hervorragend funktioniert, aber auf einigen älteren Browsern wie IE8 werden einige Elemente nicht richtig angezeigt. Daher wollte ich eine benutzerdefinierte CSS-Datei für den Internet Explorer erstellen.

Wie kann ich nur IE-Stylesheets auf die richtige Weise importieren? Ich könnte eine Bedingung hinzufügen wie <!--[if lt IE9]> ... <![endif]--> direkt in der Vorlage, aber ich weiß nicht, ob es eine bessere Lösung gibt.

Danke im Voraus.

1
Pascal Goldbach

Schließlich habe ich diesen Code am Anfang meiner index.php-Datei (in meinem Vorlagenordner) hinzugefügt.

$doc = JFactory::getDocument();
$stylelink = '<!--[if lte IE 8]>' ."\n";
$stylelink .= '<link rel="stylesheet" href="linkOfTheCSSFile/ie7.css" type="text/css"/>' ."\n";
$stylelink .= '<![endif]-->' ."\n";

$doc->addCustomTag($stylelink);

Es funktioniert großartig für mich.

1
Pascal Goldbach